/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   client_ls_pwd_get_put_cd.c                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/17 15:41:23 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/17 15:41:30 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

void	client_ft_get(t_clientdata *d)
{
	write(d->sock, d->buff, ft_strlen(d->buff));
	ft_getfile_client(d, d->buff);
}

void	client_ft_put(t_clientdata *d)
{
	write(d->sock, d->buff, ft_strlen(d->buff));
	ft_putfile_client(d, d->buff);
}

void	client_ft_pwd(t_clientdata *d)
{
	write(d->sock, d->buff, ft_strlen(d->buff));
	d->succ = recv_sock(&d->m_buff, d->sock, NULL);
	ft_printf("%s\n", d->m_buff);
	ft_memdel((void **)&d->m_buff);
	d->succ = recv_sock(&d->m_buff, d->sock, NULL);
	ft_printf("%s", d->m_buff);
	ft_memdel((void **)&d->m_buff);
}

void	client_ft_cd(t_clientdata *d)
{
	write(d->sock, d->buff, ft_strlen(d->buff));
	recv_sock(&d->m_buff, d->sock, NULL);
	ft_printf("%s", d->m_buff);
}

void	client_ft_ls(t_clientdata *d)
{
	write(d->sock, d->buff, ft_strlen(d->buff));
	d->succ = recv_sock(&d->m_buff, d->sock, NULL);
	ft_printf("%s", d->m_buff);
	ft_memdel((void **)&d->m_buff);
	if (d->succ != -1)
	{
		d->succ = recv_sock(&d->m_buff, d->sock, NULL);
		ft_printf("%s", d->m_buff);
		ft_memdel((void **)&d->m_buff);
	}
}
