/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   client_main.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/12 12:15:08 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/12 12:15:19 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int		main(int ac, char **av)
{
	t_clientdata	*d;

	if (ac != 3)
		return (prt_err("Usage: 'serveur <address> <port>' only\n"));
	if ((d = (t_clientdata *)malloc(sizeof(t_clientdata))) == NULL)
		return (prt_err("Client Malloc error\n"));
	if (init_client(d, av) == -1)
		return (-1);
	d->ret = 1;
	while (d->ret > 0)
	{
		if (client_check_cmd(d) < 0)
			d->ret = 0;
	}
	return (client_exit(d));
}
