/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   recv_sock.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/15 11:39:52 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/15 11:39:59 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int	recv_sock(char **buff, int sock, char *file)
{
	int		len;
	char	c;
	int		rt;
	int		type;

	c = 0;
	rt = read(sock, &c, sizeof(char));
	rt = read(sock, &type, sizeof(int));
	if (type == E_MESSAGE)
	{
		rt = read(sock, &len, sizeof(int));
		(*buff) = ft_strnew(len + 1);
		rt = read(sock, (*buff), len);
		(*buff)[rt] = '\0';
		return (0);
	}
	else if (type == E_ERROR)
	{
		rt = read(sock, &len, sizeof(int));
		(*buff) = ft_strnew(len + 1);
		rt = read(sock, (*buff), len);
		(*buff)[rt] = '\0';
		return (-1);
	}
	return (rt);
}
