/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   function_cd...c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/16 11:16:57 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/16 11:17:04 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int		ft_cd__(t_serverdata *d)
{
	int		i;

	if (ft_cd__2(d) < 0)
		return (-1);
	i = ft_strlen(d->tmp);
	while (d->tmp[i] != '/')
		i--;
	d->tmp[i] = '\0';
	if (ft_strstr(d->tmp, &(d->home)[5]) != NULL
		&& ft_strcmp(d->tmp, &(d->home)[5]) != 0)
	{
		if (ft_cd__3(d) < 0)
			return (-1);
	}
	else if (ft_strstr(d->tmp, &(d->home)[5]) != NULL
		&& ft_strcmp(d->tmp, &(d->home)[5]) == 0)
	{
		if (ft_cd__4(d) < 0)
			return (-1);
	}
	return (0);
}

int		ft_cd__2(t_serverdata *d)
{
	char norminette;

	(void)norminette;
	if ((d->pwd = env_getline(d->env, "PWD")) == NULL
		|| (d->oldpwd = env_getline(d->env, "OLDPWD")) == NULL
		|| (d->home = env_getline(d->env, "HOME")) == NULL)
		return (prt_err("env_getline error on ft_cd__\n"));
	d->tmp = ft_strdup(&d->pwd[4]);
	return (0);
}

int		ft_cd__3(t_serverdata *d)
{
	char norminette;

	(void)norminette;
	if (chdir(d->tmp) < 0)
		return (prt_err("chdir error on ft_cd__\n"));
	if (env_setenv(d->env, "OLDPWD", &d->pwd[4]) < 0
		|| env_setenv(d->env, "PWD", d->tmp) < 0)
		return (prt_err("env_getline error on ft_cd__\n"));
	ft_memdel((void **)&d->tmp);
	return (0);
}

int		ft_cd__4(t_serverdata *d)
{
	char norminette;

	(void)norminette;
	if (chdir(d->tmp) < 0)
		return (prt_err("chdir error on ft_cd__\n"));
	if (env_setenv(d->env, "OLDPWD", &d->pwd[4]) < 0
		|| env_setenv(d->env, "PWD", d->tmp) < 0)
		return (prt_err("env_getline error on ft_cd__\n"));
	ft_memdel((void **)&d->tmp);
	return (0);
}
