/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   function_cdonly.c                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/16 14:53:39 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/16 14:53:46 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int		ft_cdonly(t_serverdata *d)
{
	char	*pwd;
	char	*oldpwd;
	char	*home;

	if ((pwd = env_getline(d->env, "PWD")) == NULL
		|| (oldpwd = env_getline(d->env, "OLDPWD")) == NULL
		|| (home = env_getline(d->env, "HOME")) == NULL)
		return (prt_err("env_getline error on ft_cdpath\n"));
	if (ft_strcmp(&pwd[4], &home[5]) == 0)
		return (0);
	else
	{
		if (chdir(&home[5]) < 0)
			return (prt_err("chdir error on ft_cdonly\n"));
		if (env_setenv(d->env, "OLDPWD", &pwd[4]) < 0
			|| env_setenv(d->env, "PWD", &home[5]) < 0)
			return (prt_err("Setenv error on ft_cdonly\n"));
	}
	return (0);
}
