/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   server_check_cmd.c                                 :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/17 15:29:34 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/17 15:29:45 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int	server_check_cmd(t_serverdata *d)
{
	d->line[d->ret] = '\0';
	ft_printf("received %d bytes: %s", d->ret, d->line);
	if (ft_strcmp(d->line, "quit\n") == 0)
		return (-1);
	else if (ft_strnequ(d->line, "get ", 4) == 1)
		ft_getfile_server(d, d->line);
	else if (ft_strnequ(d->line, "put ", 4) == 1)
		ft_putfile_server(d, d->line);
	else if (ft_strnequ(d->line, "pwd\n", 4) == 1)
		ft_pwd(d);
	else if (ft_strnequ(d->line, "cd", 2) == 1)
		ft_cd(d, d->line);
	else if (ft_strnequ(d->line, "ls\n", 3) == 1)
		ft_ls(d);
	else
		;
	ft_strclr(d->line);
	ft_putstr("------------------------------------------------------\n");
	return (0);
}
