/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   server_env_init.c                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/16 14:59:13 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/16 14:59:20 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int	env_init(t_serverdata *d, char **env)
{
	char	*pwd;
	char	*home;

	d->env = env;
	if ((pwd = env_getline(env, "PWD")) == NULL
	|| (home = env_getline(env, "HOME")) == NULL)
		return (prt_err("env_getline error on env_init\n"));
	if (env_setenv(d->env, "HOME", &pwd[4]) < 0)
		return (prt_err("Setenv error on env_init\n"));
	return (0);
}
