/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   client_check_cmd.c                                 :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/17 15:46:49 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/17 15:46:56 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int		client_check_cmd(t_clientdata *d)
{
	ft_strclr(d->buff);
	ft_putstr(PROMPT);
	d->ret = read(0, d->buff, SOCKBUFF - 1);
	d->buff[d->ret] = '\0';
	if (ft_strcmp(d->buff, "quit\n") == 0
		|| ft_strcmp(d->buff, "exit\n") == 0)
		return (-1);
	else if (ft_strnequ(d->buff, "get ", 4) == 1 && d->buff[4]
		&& ft_isprint(d->buff[4]) == 1 && d->buff[4] != ' ')
		client_ft_get(d);
	else if (ft_strnequ(d->buff, "put ", 4) == 1 && d->buff[4]
		&& ft_isprint(d->buff[4]) == 1 && d->buff[4] != ' ')
		client_ft_put(d);
	else if (ft_strnequ(d->buff, "pwd\n", 4) == 1)
		client_ft_pwd(d);
	else if (ft_strnequ(d->buff, "cd", 2) == 1 && d->buff[2]
		&& (d->buff[2] == ' ' || d->buff[2] == '\n'))
		client_ft_cd(d);
	else if (ft_strnequ(d->buff, "ls\n", 3) == 1)
		client_ft_ls(d);
	else
		;
	return (0);
}
