/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   client_init.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/13 14:07:20 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/13 14:08:05 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int		init_client(t_clientdata *d, char **av)
{
	int i;

	(void)i;
	d->toconnect = av[1];
	if ((d->proto = getprotobyname("tcp")) == NULL)
		return (prt_err("TCP protocol error\n"));
	if ((d->sock = socket(PF_INET, SOCK_STREAM, d->proto->p_proto)) < 0)
		return (prt_err("Socket open error\n"));
	if (ft_atoi(av[2]) < 0 || ft_atoi(av[2]) > 65535)
		return (prt_err("port must bes between 1 - 65535\n"));
	d->ad_cli.sin_family = AF_INET;
	d->ad_cli.sin_port = htons(ft_atoi(av[2]));
	d->ad_cli.sin_addr.s_addr = inet_addr(d->toconnect);
	if ((connect(d->sock, (const struct sockaddr *)&d->ad_cli,
		sizeof(d->ad_cli))) < 0)
		return (prt_err("Connect error\n"));
	return (0);
}
