/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   function_cd.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/16 11:16:26 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/16 11:16:43 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int	ft_cd(t_serverdata *d, char *line)
{
	if (ft_strnequ(line, "cd ", 3) == 1 && line[3] && line[3] != '.'
		&& line[3] != '/' && ft_isprint(line[3]) == 1)
	{
		if (ft_cd2(d, line) < 0)
			return (-1);
	}
	else if (ft_strnequ(line, "cd ..\n", 6) == 1)
	{
		if (ft_cd3(d, line) < 0)
			return (-1);
	}
	else if (ft_strnequ(line, "cd\n", 3) == 1)
	{
		if (ft_cd4(d, line) < 0)
			return (-1);
	}
	else
	{
		send_sock("ERROR: cd <path> without '/'\n",
			d->soc_new_cli, E_ERROR, NULL);
	}
	return (0);
}

int	ft_cd2(t_serverdata *d, char *line)
{
	if (ft_cdpath(d, line) < 0)
	{
		send_sock("ERROR: cd <path>, ty to check you path\n",
			d->soc_new_cli, E_ERROR, NULL);
		return (-1);
	}
	else
	{
		send_sock(ft_strjoin("SUCCESS ", line), d->soc_new_cli,
			E_MESSAGE, NULL);
	}
	return (0);
}

int	ft_cd3(t_serverdata *d, char *line)
{
	if (ft_cd__(d) < 0)
	{
		send_sock("ERROR: cd ..\n", d->soc_new_cli, E_ERROR, NULL);
		return (-1);
	}
	else
		send_sock("SUCCESS cd ..\n", d->soc_new_cli, E_MESSAGE, NULL);
	return (0);
}

int	ft_cd4(t_serverdata *d, char *line)
{
	if (ft_cdonly(d) < 0)
	{
		send_sock("ERROR: cd\n", d->soc_new_cli, E_ERROR, NULL);
		return (-1);
	}
	else
		send_sock("SUCCESS: cd\n", d->soc_new_cli, E_MESSAGE, NULL);
	return (0);
}
