/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   function_ls.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/14 11:39:18 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/14 11:39:23 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

char	*ft_ls_getpath(t_serverdata *d)
{
	char	*tmp;
	int		i;

	i = 0;
	while (d->env[i] != NULL)
	{
		if (ft_strnequ(d->env[i], "PWD=", 4) == 1)
		{
			tmp = &d->env[i][4];
			return (tmp);
		}
		i++;
	}
	return (NULL);
}

int		ft_ls(t_serverdata *d)
{
	DIR				*rep;
	struct dirent	*entry;
	char			*tmp;
	char			*tmp2;

	if ((rep = opendir(ft_ls_getpath(d))) == NULL)
		return (-1);
	tmp = ft_strnew(1);
	while ((entry = readdir(rep)) != NULL)
	{
		tmp2 = tmp;
		tmp = ft_strjoin(tmp2, entry->d_name);
		tmp2 = tmp;
		tmp = ft_strjoin(tmp2, "\n");
	}
	tmp2 = tmp;
	tmp = ft_strjoin(tmp2, "\0");
	send_sock(tmp, d->soc_new_cli, E_MESSAGE, NULL);
	send_sock("SUCCESS: ls\n", d->soc_new_cli, E_MESSAGE, NULL);
	closedir(rep);
	ft_memdel((void **)&entry);
	return (0);
}
