/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   server_setenv.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: jmoiroux <jmoiroux@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/05/16 14:00:30 by jmoiroux          #+#    #+#             */
/*   Updated: 2014/05/16 14:00:40 by jmoiroux         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ftp.h"

int		env_setenv(char **env, char *var, char *value)
{
	int		i;
	int		len;

	if (env == NULL || var == NULL)
		return (-1);
	i = 0;
	len = ft_strlen(var);
	while (env[i] != NULL)
	{
		if (ft_strnequ(var, env[i], len) == 1)
			break ;
		i++;
	}
	env[i] = ft_strjoin(ft_strjoin(var, "="), value);
	return (0);
}
